Josh Dammeier - 2004-05-19

Hi, I am building wvWare 1.0.0 on Solaris 9 (intel), using gcc 3.3.  When compiling utf.c, I get three warning messages:

warning: comparison is always true due to limited range of data type

This occurs on lines 166, 174, and 189.  These warnings are related to comparisons between U16 variables and the Wchar3, Wchar4, and Wchar5 enum values.

Has anyone run into this or know if it is a problem?  When compiled, wvWare appears to work okay as far as I can tell.

Thanks!